/*
 * Richard A. DeVenezia
 * June 11, 2004
 *
 * jDSGI test 24
 */

data _null_;

  if symexist('goutpath') then goutpath=symget('goutpath'); else goutpath=pathname('WORK');
  if symexist ('gsftype') then gsftype=symget('gsftype'); else gsftype='png';

  gsf = cats(goutPath,"\","test24");

  width  = 500;
  height = 500;

  %canvas (_g, width, height, 0ffffffx)

  %tsetWindow (1,-1,-1,7,4);

  %tsetWindow (1, -11,-11,17,14);

  array px[10] _temporary_ ( 0,1,1,1,1,1,1,-2,-1,-1 );
  array py[10] _temporary_ ( 1,1,0,1,-1,0,-1,0,-1,1 );

  do i = 2 to dim (px);
    px [i] = px[i-1] + px[i];
    py [i] = py[i-1] + py[i];
  end;

  %setColor (336699x);
  %setPenWidth(3);
  %setPenEndCap (&CAP_BUTT);
  %setPenLineJoin (&JOIN_ROUND);

  step = 0.5;
  rotstep =2.5;
  rot = 0;
  top = 8;
  do r = step to top by step;
    f = r/top;
    %setColorHSB (f,1-f/8,1-f/8);
    %tsetViewport (1, .5-r,.5-r,.5+r,.5+r);
    %tsetRotation (rot);
    rot + rotstep;
    %tpolygon (px,py);
  end;

  %canvas_saveAs (gsf, gsftype, savedAs);

  %canvas_delete();

  if savedAs ne '' then rc = system ("start " || savedAs);
run;
