/*
 * Richard A. DeVenezia
 * June 1, 2004
 *
 * jDSGI test dispatcher
 *
 * per http://java.sun.com/products/java-media/2D/reference/faqs/index.html#imageformat
 * - png and jpg are built into java distributions
 *
 * gif and other formats require installing appropriate jars
 *
 * see http://java.sun.com/products/java-media/jai
 * look for a download link on page
 * - http://java.sun.com/developer/earlyAccess/jai_imageio
 *
 * The jars in the download need to be added to your CLASSPATH
 * The dll in the download (windows) needs to be added to the PATH environment variable
 *
 */

data _null_;

  declare javaobj _g ("jdsgi/Graphics");
  _g.exceptionDescribe(1);

  _g.callVoidMethod ('reportFormats');

  length format $40;
  do until (format = '');
    _g.callStringMethod ('getWriterFormatNames',format);
    put format=;
  end;

  put / 'Methods of Graphics:' / 20*'-';

  length method $100;
  do until (method = '');
    _g.callStringMethod ('getMethodNames',method);
    put method=;
  end;

  _g.delete();

run;

data run;
* stop; * uncomment to run none;
  do run = 1 to 27;  * comment to run a single test;
* do run = 1; * uncomment to run a single test;
    output;
  end;
run;

%let goutPath = %sysfunc(pathname(WORK));
%let goutPath = c:\temp;
%let goutPath = images;

%let gsftype = gif; * requires installation of sun ImageIO tools;
%let gsftype = jpg;
%let gsftype = png;

options noxwait xmin;
options source2;
options nosymbolgen mprint;

filename Programs "sas\";

%include Programs(jdsgimac);

data _null_;
  set run;
  id = put(run,4.-L);
  program = 'Test' || id;
  call execute (cats('%include Programs(',program,');'));
run;
